GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "9b6338f4-6f33-403d-a835-e4b0f672831e",
"cleanroom_type_id": "23bb4a5a-ee54-40c8-8327-381284975b82",
"code": 3,
"date_hu": "2026-09-25T21:07:51.5071957+00:00",
"id": "b99bb6a2-c452-4072-befe-8496a59cff24",
"site_id": "108a8845-3a99-423a-bf99-e5757be4453e",
"wash_count": 6,
"position": 1,
"pc_id": "5ebb1413-73fa-4d1d-a0ba-542c2a99c413"
},
{
"active": true,
"bag_status_id": "9b6338f4-6f33-403d-a835-e4b0f672831e",
"cleanroom_type_id": "23bb4a5a-ee54-40c8-8327-381284975b82",
"code": 3,
"date_hu": "2026-09-25T21:07:51.5071957+00:00",
"id": "b99bb6a2-c452-4072-befe-8496a59cff24",
"site_id": "108a8845-3a99-423a-bf99-e5757be4453e",
"wash_count": 6,
"position": 1,
"pc_id": "5ebb1413-73fa-4d1d-a0ba-542c2a99c413"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>9b6338f4-6f33-403d-a835-e4b0f672831e</bag_status_id>
<cleanroom_type_id>23bb4a5a-ee54-40c8-8327-381284975b82</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-25T21:07:51.5071957+00:00</date_hu>
<id>b99bb6a2-c452-4072-befe-8496a59cff24</id>
<pc_id>5ebb1413-73fa-4d1d-a0ba-542c2a99c413</pc_id>
<position>1</position>
<site_id>108a8845-3a99-423a-bf99-e5757be4453e</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>9b6338f4-6f33-403d-a835-e4b0f672831e</bag_status_id>
<cleanroom_type_id>23bb4a5a-ee54-40c8-8327-381284975b82</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-25T21:07:51.5071957+00:00</date_hu>
<id>b99bb6a2-c452-4072-befe-8496a59cff24</id>
<pc_id>5ebb1413-73fa-4d1d-a0ba-542c2a99c413</pc_id>
<position>1</position>
<site_id>108a8845-3a99-423a-bf99-e5757be4453e</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>